AUCTL(1)

NAME
auctl - control various audio server parameters

SYNOPSYS
auctl [-audio servername] [-q] [command...]

DESCRIPTION
The auctl program can be used to control various audio server parameters. It is typically used when connecting up new devices, or to set user preferences. If no command is specified on the program command line, auctl reads commands from the standard output. If the standard input and standard output are both attached to a terminal, an interactive prompt is provided.

OPTIONS
The following options may be used with auctl:

-audio servername
    This option specifies the Network Audio System server on which the files should be played.

-q  This option indicates that no prompt should be given when reading commands from the standard input.

COMMANDS
The following commands may be used with auctl:

help
    This command prints a list of the commands that may be given.

set device id gain [=,+,-] percent
    With =, this command sets the gain on the device specified by id to the indicated percentage, or alters it by the given number of percentage points if + or - is used. If the id is a decimal number n, the nth device returned by the server (see auinfo) is used. Otherwise, id should be a hexidecimal number specifying the resource identifier of the desired device.

set device id linemode = low
    This command sets the linemode of the device specified by id to the lower setting appropriate for microphones.

set device id linemode = hi
    This command sets the linemode of the device specified by id to the higher setting appropriate for CD players.

list device id gain
    This command lists the gain of the specified device in the form needed to set it.

list device id linemode
    This command lists the line mode of the specified device in the form needed to set it.

list device id
    This command lists the gain and line mode of the specified device.

quit, exit, or ^D
    Either of these commands or an end of file causes the program to exit.

ENVIRONMENT VARIABLES

The following environment variables are used by auctl:

AUDIOSERVER
    This specifies the name of default audio server to contact if no name is explicitly given on the command line.

DISPLAY
    This specifies the name of an X Window System display that should be assumed to also have a corresponding Network Audio System server.

SEE ALSO
nas(1), auplay(1), audial(1), audemo(1), autool(1)

COPYRIGHT
Copyright 1993, 1994 Network Computing Devices, Inc.

AUTHOR
Jim Fulton, Network Computing Devices, Inc.